package Ensembl.artemis;

public class EntryHolder	implements org.omg.CORBA.portable.Streamable{
	 public Entry value;
	public EntryHolder()
	{
	}
	public EntryHolder(Entry initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return EntryHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = EntryHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		EntryHelper.write(_out,value);
	}
}
